﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Net.Http;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace MaximumZoom
{
    public class PdfViewerViewModel : INotifyPropertyChanged
    {
            private Stream pdfDocumentStream;
            public event PropertyChangedEventHandler PropertyChanged;
           
            public Stream PdfDocumentStream
            {
                get { return pdfDocumentStream; }
                set
                {
                    //Check the value whether it is the same as the currently loaded stream
                    if (value != pdfDocumentStream)
                    {
                        pdfDocumentStream = value;
                        PropertyChanged(this, new PropertyChangedEventArgs("PdfDocumentStream"));
                    }
                }
            }

            public PdfViewerViewModel()
            {
             pdfDocumentStream = typeof(PdfViewerViewModel).GetTypeInfo().Assembly.GetManifestResourceStream("MaximumZoom.Assets.HTTP Succinctly.pdf");
           }
        }
    }
